Bug 826497 - kde-filesystem failed to install due to directory/symlink difference, caused preupgrade to abort, unbootable system after
kde-filesystem failed to install due to directory/symlink difference, caused ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-filesystem (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 07:16 EDT by Hin-Tak Leung
Modified: 2013-08-01 05:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:21:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hin-Tak Leung 2012-05-30 07:16:42 EDT
Description of problem:
kde-filesystem fails to install due to a directory/symbolic link difference somewhere under doc/CN_*/common (was a directory, the package wants symlink to directory above). This cause preupgrade to abort about 1/3 of the way of upgrade, and resulting in an unbootable system.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I used the virtual console to manually remove the "doc/CN_*/common" directory and do a manual rpm --root=/mnt/sysimage -Uvh /var/cache/yum/preupgrade/kde-filesystem* to allow upgrade to keep going.

More info later, when the upgrade finishes.
Comment 1 Rex Dieter 2012-05-30 09:34:33 EDT
so, something on your system created that directory, which kde-filesystem is supposed to own.  any idea how it got created?
Comment 2 Kevin Kofler 2012-05-30 10:14:11 EDT
I'd guess it got created as an unowned directory by some package which installs something to it without directly nor indirectly requiring kde-filesystem.
Comment 3 Hin-Tak Leung 2012-05-30 13:47:06 EDT
$  find /usr/share/doc/HTML/zh_* -name "common" | xargs --verbose -n 1 rpm -qf
rpm -qf /usr/share/doc/HTML/zh_CN/common 
kde-filesystem-4-39.fc17.x86_64
kde-l10n-Chinese-4.8.3-1.fc17.noarch
rpm -qf /usr/share/doc/HTML/zh_CN/gwenview/common 
kde-l10n-Chinese-4.8.3-1.fc17.noarch
rpm -qf /usr/share/doc/HTML/zh_CN/docs/common 
kde-filesystem-4-39.fc17.x86_64
rpm -qf /usr/share/doc/HTML/zh_HK/common 
kde-filesystem-4-39.fc17.x86_64
rpm -qf /usr/share/doc/HTML/zh_HK/docs/common 
kde-filesystem-4-39.fc17.x86_64
rpm -qf /usr/share/doc/HTML/zh_TW/common 
kde-filesystem-4-39.fc17.x86_64
kde-l10n-Chinese-Traditional-4.8.3-1.fc17.noarch
rpm -qf /usr/share/doc/HTML/zh_TW/docs/common 
kde-filesystem-4-39.fc17.x86_64

I would assume it is a past version of kde-l10n-Chinese ? I only had the problem in zh_CN/docs/common, not on zh_TW or zh_HK. 

$  find /usr/share/doc/HTML/zh_*  | xargs rpm -qf | sort | uniq
kde-filesystem-4-39.fc17.x86_64
kde-i18n-Chinese-3.5.10-16.fc17.noarch
kde-i18n-Chinese-Big5-3.5.10-16.fc17.noarch
kde-l10n-Chinese-4.8.3-1.fc17.noarch
kde-l10n-Chinese-Traditional-4.8.3-1.fc17.noarch


It appears that some of kde 3 can still be installed to co-exist with kde 4, and it also use those directories. I may also had kde platform docs in chinese at some point (if such thing exists/existed).

Anyway, since the problem happened under /usr/share/doc/HTML/zh_CN/docs/common, it has to be some sort of (simplified) Chinese documentation or such.
Comment 4 Fedora End Of Life 2013-07-03 22:46:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 05:21:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.